Bug 17741 - memory leak in initgroups()
Summary: memory leak in initgroups()
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-20 09:16 UTC by Mike Gleason
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-20 09:16:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Gleason 2000-09-20 09:16:38 UTC
line 167 of grp/initgroups.c:

groups = malloc (size * sizeof (gid_t *));

This local pointer does not appear to be free()d.  Long-lived processes 
may initgroups() multiple times, and leaks some memory each time.

Comment 1 Jakub Jelinek 2000-09-22 11:51:40 UTC
Fixed in glibc 2.1.9x.


Note You need to log in before you can comment on or make changes to this bug.